Page MenuHomePhabricator

[tsan] Add XPC support (OS X)
ClosedPublic

Authored by kubamracek on Mar 26 2016, 2:54 PM.

Details

Summary

XPC APIs have async callbacks, and we need some more happen-before edges to avoid false positives. This patch add them, plus a test case (sorry for the long boilerplate code, but XPC just needs all that).

Diff Detail

Repository
rL LLVM

Event Timeline

kubamracek updated this revision to Diff 51721.Mar 26 2016, 2:54 PM
kubamracek retitled this revision from to [tsan] Add XPC support (OS X).
kubamracek updated this object.
kubamracek added reviewers: dvyukov, kcc, glider, samsonov.

Adding a second test case that actually has a race in it.

dvyukov accepted this revision.Apr 5 2016, 1:00 AM
dvyukov edited edge metadata.
dvyukov added inline comments.
lib/tsan/rtl/tsan_interceptors_mac.cc
133 ↗(On Diff #51728)

add some spaces before the line
or is it clang-format formatted?

This revision is now accepted and ready to land.Apr 5 2016, 1:00 AM
kubamracek added inline comments.Apr 5 2016, 1:02 AM
lib/tsan/rtl/tsan_interceptors_mac.cc
133 ↗(On Diff #51728)

It's clang-format. It has hard times with REAL(x)(y) in general.

dvyukov added inline comments.Apr 5 2016, 1:08 AM
lib/tsan/rtl/tsan_interceptors_mac.cc
133 ↗(On Diff #51728)

ack

Closed by commit rL265661: [tsan] Add XPC support (OS X) (authored by kuba.brecka). · Explain WhyApr 7 2016, 4:52 AM
This revision was automatically updated to reflect the committed changes.